Documentation · API reference
POST/api/v1/nightly

Run the check now

Run the check now. For whoever runs this tidekeeper.

The answer

Status 200

NightlyView The nightly check (the Stores board): what each check found the last time it ran here.

checks
list of NightlyLineneeded
next
integerneededWhen it runs next.
of
integerneeded
passed
integerneededOf the checks that run here, how many passed, and how many there are.
ran
integer or nullWhen it last ran. None: not yet, on this tidekeeper.
version
stringneededThe version that ran it.

Asking

With your token from Settings
curl -X POST https://tidekeeper.eu/api/v1/nightly \
    -H "Authorization: Bearer $TIDEKEEPER_TOKEN"
With your token from Settings
const answer = await fetch("https://tidekeeper.eu/api/v1/nightly", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.TIDEKEEPER_TOKEN}`,
  },
}).then((r) => r.json());